s10_level_hints.levels["Level 5"] = function()
	return
	{
		miniscenes
		({
			level05_miniscene_hatch = 
			{
				miniscene("area_hatch"),
			},
			
			level05_miniscene_roof = 
			{
				IF(removed("rope_with_hook"), miniscene("area_hole"))
			},
			
			level05_miniscene_symbols = 
			{
				miniscene("graffiti")
			}
		}),
	
		-- найти механизм
		on_scene("level05_miniscene_hatch",
		{
			IF(state("hatch_mini", "hatch_mini01"), click("area_hatch_door")),
			IF(state("hatch_mini", "hatch_mini02"), click("area_garbage"))
		}),
		
		-- сдвинуть камень
		take("stick"),
		click("area_stone", "stick"),
		click("stick02"),
		
		-- заполучить веревку
		take("secateur"),
		click("area_rope01", "secateur"),
		
		-- забраться в дырку
		take("hook"),
		click("area_hole", "rope_with_hook"),
		
		-- собрать куски зеркала
		take("frame"),
		take("fragment01"),
		take("fragment02"),
		take("fragment03"),
		take("fragment04"),
		take("fragment05"),
		take("fragment07"),
		take("fragment08"),
		take("fragment09"),
		take("fragment10"),
		take("fragment11"),
		take("fragment12"),
		on_scene("level05_miniscene_roof", take("fragment06", "area_fragment06")),
		
		-- собрать зеркало
		click("area_statuette", "frame"),
		IF(state_in_inv("fragment_inv", "fragment_inv12"), click("area_statuette", "fragment_inv")),
		IF(state("mirror","mirror02"), minigame("area_statuette")),
		
		-- стереть графити
		take("rag"),
		click("area_bucket", "rag"),
		click("area_graffiti", "rag_wet"),
		
		-- установить символы
		minigame("area_light"),
		
		-- запустить механизм
		take("amulet_time", "area_gear"),
		IF(removed("amulet_time"), take("gear", "area_gear")),
		take("oil_can"),
		take("strap"),
		on_scene("level05_miniscene_roof", take("lever", "area_lever")),
		on_scene("level05_miniscene_hatch",
		{
			click("area_hatch_door", "gear"),
			click("area_hatch_door", "strap"),
			IF({ removed("strap"), removed("gear") }, click("area_hatch_door", "oil_can")),
			click("area_lever_place", "lever"),
			click("area_lever_mini")
		}),
		
		-- попасть в секретный ход
		take("electric_torch"),
		click("area_door", "electric_torch")
	}	
end
